OptionGroup (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.options
Class OptionGroup

    java.lang.Object
      org.maltparser.core.options.OptionGroup

    public class OptionGroup

extends Object

An option group categories a group of options.

Since:
  1.0
Author:
  Johan Hall

Field Summary
`static int` | `NOGROUPNAME`
`static int` | `toStringSetting`
`static int` | `WITHGROUPNAME`

Constructor Summary
`OptionGroup(String name)` Creates an option group with an option group name.

Method Summary
`void` | `addOption(Option option)` Adds an option to the option group.
`String` | `getName()` Returns the name of the option group
`Option` | `getOption(String optionname)` Returns the option according to the option name.
`Collection<Option>` | `getOptionList()` Returns all options for this option group.
`void` | `setName(String name)` Sets the name of the option group
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### toStringSetting

    public static int toStringSetting

### WITHGROUPNAME

    public static final int WITHGROUPNAME

See Also:
  Constant Field Values

### NOGROUPNAME

    public static final int NOGROUPNAME

See Also:
  Constant Field Values

Constructor Detail

### OptionGroup

    public OptionGroup(String name)

  Creates an option group with an option group name.

  Parameters:
    `name` - The name of the option group

Method Detail

### getName

    public String getName()

  Returns the name of the option group

  Returns:
    the name of the option group

### setName

    public void setName(String name)

  Sets the name of the option group

  Parameters:
    `name` - the name of the option group

### addOption

    public void addOption(Option option)
                   throws OptionException

  Adds an option to the option group.

  Parameters:
    `option` - an option
  Throws:
    `OptionException`

### getOption

    public Option getOption(String optionname)

  Returns the option according to the option name.

  Parameters:
    `optionname` - an option name
  Returns:
    an option, null if the option name can't be found

### getOptionList

    public Collection<Option> getOptionList()

  Returns all options for this option group.

  Returns:
    a list of options

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.